globus_gssapi_error_object(3)

NAME
globus_gssapi_error_object - Error Construction

 - Error Construction.

SYNOPSIS

  Macros

#define GLOBUS_ERROR_TYPE_GSSAPI

  Functions

globus_object_t * globus_error_construct_gssapi_error (globus_module_descriptor_t *base_source, globus_object_t *base_cause, const OM_uint32 major_status, const OM_uint32 minor_status)
Construct Error.
globus_object_t * globus_error_initialize_gssapi_error (globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, const OM_uint32 major_status, const OM_uint32 minor_status)
Initialize Error.

Detailed Description

Error Construction.

Create and initialize a Globus GSSAPI Error object.

This section defines operations to create and initialize Globus GSSAPI Error objects.

Macro Definition Documentation

  #define GLOBUS_ERROR_TYPE_GSSAPI
Error type definition

Function Documentation

  globus_object_t * globus_error_construct_gssapi_error (globus_module_descriptor_t * base_source, globus_object_t * base_cause, const OM_uint32 major_status, const OM_uint32 minor_status)

Construct Error. Allocate and initialize an error of type GLOBUS_ERROR_TYPE_GSSAPI

Parameters
    base_source Pointer to the originating module.
    base_cause The error object causing the error. If this is the original error, this parameter may be NULL.
    major_status The GSSAPI major status
    minor_status The GSSAPI minor status

Returns
    The resulting error object. It is the user's responsibility to eventually free this object using globus_object_free(). A globus_result_t may be obtained by calling globus_error_put() on this object.

  globus_object_t * globus_error_initialize_gssapi_error (globus_object_t * error, globus_module_descriptor_t * base_source, globus_object_t * base_cause, const OM_uint32 major_status, const OM_uint32 minor_status)

Initialize Error. Initialize a previously allocated error of type GLOBUS_ERROR_TYPE_GSSAPI

Parameters
    error The previously allocated error object.
    base_source Pointer to the originating module.
    base_cause The error object causing the error. If this is the original error this parameter may be NULL.
    major_status The GSSAPI major status
    minor_status The GSSAPI minor status

Returns
    The resulting error object. You may have to call globus_error_put() on this object before passing it on.

Author

Generated automatically by Doxygen for globus_gssapi_error from the source code.